Terms
Privacy Policy
Refund Policy
Home
Login
  1. Status Announcements
  • Authentication
    • Returns a token that can be used to access the APIs.
      POST
  • General
    • Returns all the systems telephone codes.
      GET
  • Monitors
    • Returns all the monitors on your account
      GET
    • creates a new monitor
      POST
    • update a monitor
      PUT
    • delete a monitor
      DELETE
    • pauses or unpauses a monitor
      PATCH
    • returns response times
      GET
    • returns uptime stats
      GET
  • Categories
    • lists the monitor categories
      GET
    • creates a new monitor category
      POST
    • pdates a monitor category
      PUT
    • deletes a monitor category
      DELETE
  • Incidents
    • lists incidents
      GET
    • adds a comment to the incident
      POST
  • Notification Seats
    • lists the notification seats
      GET
    • creates a notification seat
      POST
    • updates a notification seat
      PUT
    • deletes a notification seat
      DELETE
  • Notification Integrations
    • lists the notification integrations
    • creates a notification integration
    • updates a notification integration
    • deletes a notification integration
  • Status Pages
    • Returns all the status pages on your account
    • creates a status page
    • updates a status page
    • updates a status page authentication
    • deletes a status page
  • Status Announcements
    • Returns all the status announcement on your account
      GET
    • creates a status announcement
      POST
    • updates a status announcement
      PUT
    • updates a status page announcement stickiness
      PATCH
    • deletes a status announcement
      DELETE
  • Maintenance Windows
    • Returns all the maintenance windows on your account
    • creates a maintenance window
    • updates a maintenance window
    • pauses a maintenance window
    • ends an active maintenance window
    • deletes a maintenance window
  • Schemas
    • Error
    • ErrorMessages
    • DefaultSingleResponse
    • DefaultSingleArray
    • LoginRequest
    • LoginResponse
    • TelephoneCodesResponse
    • TelephoneCodeArray
    • MonitorSearchRequest
    • MonitorResponse
    • MonitorObject
    • MonitorWebsiteObject
    • MonitorWebsiteHeadersObject
    • MonitorRequest
    • MonitorResponseTimeSearchRequest
    • MonitorResponseTimeResponse
    • MonitorResponseTimeArray
    • MonitorResponseTimeResponseArray
    • MonitorUptimeSearchRequest
    • MonitorUptimeResponse
    • MonitorUptimeArray
    • CategorySearchRequest
    • CategoryResponse
    • CategoryObject
    • CategoryRequest
    • IncidentSearchRequest
    • IncidentResponse
    • IncidentObject
    • IncidentActivityObject
    • IncidentCommentObject
    • CommentRequest
    • CommentResponse
    • SeatSearchRequest
    • SeatResponse
    • SeatObject
    • SeatIntegrationObject
    • SeatRequest
    • IntegrationSearchRequest
    • IntegrationResponse
    • IntegrationObject
    • IntegrationRequest
    • PageSearchRequest
    • PageResponse
    • PageObject
    • PageMonitorsObject
    • PageRequest
    • PageAuthenticationRequest
    • AnnouncementSearchRequest
    • AnnouncementResponse
    • AnnouncementObject
    • AnnouncementPageObject
    • AnnouncementRequest
    • WindowSearchRequest
    • WindowResponse
    • WindowObject
    • WindowScheduleObject
    • WindowRequest
  1. Status Announcements

Returns all the status announcement on your account

GET
https://api.funnymonitors.com/endpoints/v1/status/announcements/list
Status Announcements
Last modified:2026-02-26 20:04:47
This endpoint lists the status announcement details.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json

Example
{
    "search": "string",
    "type": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.funnymonitors.com/endpoints/v1/status/announcements/list' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "search": "string",
    "type": "string"
}'

Responses

🟢200
application/json
Success
Body

Example
{
    "pages": [
        {
            "id": "string",
            "name": "string",
            "type": "string",
            "sticky": 0,
            "autoHideAfter": "string",
            "notifySubscribers": 0,
            "content": "string",
            "date": "2019-08-24T14:15:22.123Z",
            "window": "string",
            "pages": [
                {
                    "id": "string",
                    "name": "string"
                }
            ]
        }
    ],
    "requestedBy": "string",
    "terms": "string"
}
🟠400
🟠403
🟠406
🟠422
🟠429
Modified at 2026-02-26 20:04:47
Previous
deletes a status page
Next
creates a status announcement
Built with